<?php
/**
*
* @package Subway Options Panel
* @copyright (c) KomiDesign, 2016
* @license http://www.komidesign.com Private License
*
*/

namespace komidesign\subway_op\migrations\v10x;

class release_1_0_0 extends \phpbb\db\migration\migration
{
  public function effectively_installed()
  {
    return isset($this->config['sop_version']) && version_compare($this->config['sop_version'], '1.0.0', '>=');
  }

  static public function depends_on()
  {
    return array('\phpbb\db\migration\data\v310\dev');
  }

  public function update_data()
  {
    return array(      
      array('config.add', array('sop_version', '1.0.0')),
      array('config.add', array('sop_logotext', '')),
      array('config.add', array('sop_logotext_size', '')),
      array('config.add', array('sop_logotext_color_sw', '')),
      array('config.add', array('sop_logotext_color', '')),
      array('config.add', array('sop_logofont_sw', '')),
      array('config.add', array('sop_logofont_url', '')),
      array('config.add', array('sop_logofont_fam', '')),
      array('config.add', array('sop_logofont_weight', '')),
      array('config.add', array('sop_logoicon', '')),
      array('config.add', array('sop_logoicon_size', '')),
      array('config.add', array('sop_logoicon_color', '')),
      array('config.add', array('sop_logoimg_sw', '')),
      array('config.add', array('sop_logoimg_url', '')),
      array('config.update', array('sop_logotext', 'Subway')),
      array('config.update', array('sop_logoicon', 'icon-thunder')),
      array('config.add', array('sop_genfavic', '')),
      array('config.add', array('sop_genmeta_sw', '')),
      array('config.add', array('sop_genmetakw', '')),
      array('config.add', array('sop_genmetadc', '')),
      array('config.add', array('sop_genrtl_sw', '')),
      array('config.add', array('sop_genpp_sw', '')),
      array('config.add', array('sop_gensoc_ic1', '')),
      array('config.add', array('sop_gensoc_ic2', '')),
      array('config.add', array('sop_gensoc_ic3', '')),
      array('config.add', array('sop_gensoc_ic4', '')),
      array('config.add', array('sop_gensoc_ic5', '')),
      array('config.add', array('sop_gensoc_ic6', '')),
      array('config.add', array('sop_gensoc_t1', '')),
      array('config.add', array('sop_gensoc_t2', '')),
      array('config.add', array('sop_gensoc_t3', '')),
      array('config.add', array('sop_gensoc_t4', '')),
      array('config.add', array('sop_gensoc_t5', '')),
      array('config.add', array('sop_gensoc_t6', '')),
      array('config.add', array('sop_gensoc_u1', '')),
      array('config.add', array('sop_gensoc_u2', '')),
      array('config.add', array('sop_gensoc_u3', '')),
      array('config.add', array('sop_gensoc_u4', '')),
      array('config.add', array('sop_gensoc_u5', '')),
      array('config.add', array('sop_gensoc_u6', '')),
      array('config.add', array('sop_genfordesc_sw', '')),
      array('config.add', array('sop_skbgimgatt_sw', '')),
      array('config.add', array('sop_skbgimg_pos', '')),
      array('config.add', array('sop_lamaxw', '')),
      array('config.add', array('sop_lah_sw', '')),
      array('config.add', array('sop_laf_sw', '')),
      array('config.add', array('sop_lasv_sw', '1')),
      array('config.add', array('sop_lastbsb_sw', '')),
      array('config.add', array('sop_lascnb_sw', '')),
      array('config.add', array('sop_lascn_title', 'Your Countdown Title')),
      array('config.add', array('sop_lascn_date', '2017/12/22')),
      array('config.add', array('sop_lascn_d', 'days')),
      array('config.add', array('sop_lascn_h', 'hours')),
      array('config.add', array('sop_lascn_m', 'min')),
      array('config.add', array('sop_lascn_s', 'sec')),
      array('config.add', array('sop_last_sw', '')),
      array('config.add', array('sop_labox_sw', '')),
      array('config.add', array('sop_loginsb_sw', '')), 
      array('config.add', array('sop_skbg_sw', '')),
      array('config.add', array('sop_skbody_col', '')),
      array('config.add', array('sop_skbg_col1', '')),
      array('config.add', array('sop_skbg_col2', '')),
      array('config.add', array('sop_skdark_sw', '')),
      array('config.add', array('sop_skbgpatt_sw', '')),
      array('config.add', array('sop_skbgimg_url', '')),
      array('config.add', array('sop_skbgpatt_cus', '')),
      array('config.add', array('sop_skboxed_bgcol', '')),
      array('config.add', array('sop_adsbelhd_sw', '')),
      array('config.add', array('sop_adsabft_sw', '')),
      array('config.add', array('sop_adsbel_fstpost_sw', '')),
      array('config.add', array('sop_adsbel_lstpost_sw', '')),
      array('config.add', array('sop_sklfooter_sw', '')),
      array('config.add', array('sop_skcol_link', '')),
      array('config.add', array('sop_skcol_linkhov', '')),
      array('config.add', array('sop_skcol_linkforvis', '')),
      array('config.add', array('sop_bodyfont_url', '')),
      array('config.add', array('sop_bodyfont_fam', '')),
      array('config.remove', array('sop_logoimg_sw', '')),
      array('config.add', array('sop_fipm', '')),
      array('config.add', array('sop_fif', '')),
      array('config.add', array('sop_fifl', '')),
      array('config.add', array('sop_filk', '')),
      array('config.add', array('sop_fian', '')),
      array('config.add', array('sop_figl', '')),
      array('config.add', array('sop_fist', '')),
      array('config.add', array('sop_fitp', '')),
      array('config.add', array('sop_fitpm', '')),
      array('config.add', array('sop_fitph', '')),
      array('config.add', array('sop_fibr_sw', '')),
      array('config.add', array('sop_fimg_sw', '')),
      array('config.add', array('sop_fimg_type_sw', '')),
      array('config.add', array('sop_fimg_poshoz', '')),
      array('config.add', array('sop_fimg_posver', '')),
      array('config.add', array('sop_tlittic_poshoz', '')),
      array('config.add', array('sop_tlittic_posver', '')),
      array('config.add', array('sop_sl_sw', '')),
      array('config.add', array('sop_sl_mfx', 'random')),
      array('config.add', array('sop_sl_slc', '15')),
      array('config.add', array('sop_sl_bxc', '8')),
      array('config.add', array('sop_sl_bxr', '4')),
      array('config.add', array('sop_sl_aspd', '500')),
      array('config.add', array('sop_sl_ptm', '3000')),
      array('config.add', array('sop_sl_dnv_sw', '1')),
      array('config.add', array('sop_sl_cnv_sw', '1')),
      array('config.add', array('sop_sl_poh_sw', '1')),
      array('config.add', array('sop_sl1_img', '1.png')),
      array('config.add', array('sop_sl1_url', '')),
      array('config.add', array('sop_sl1_cap', 'Caption text example')),
      array('config.add', array('sop_sl2_img', '2.png')),
      array('config.add', array('sop_sl2_url', '')),
      array('config.add', array('sop_sl2_cap', '')),
      array('config.add', array('sop_sl3_img', '')),
      array('config.add', array('sop_sl3_url', '')),
      array('config.add', array('sop_sl3_cap', '')),
      array('config.add', array('sop_sl4_img', '')),
      array('config.add', array('sop_sl4_url', '')),
      array('config.add', array('sop_sl4_cap', '')),
      array('config.add', array('sop_sl5_img', '')),
      array('config.add', array('sop_sl5_url', '')),
      array('config.add', array('sop_sl5_cap', '')),
      array('config.add', array('sop_sl6_img', '')),
      array('config.add', array('sop_sl6_url', '')),
      array('config.add', array('sop_sl6_cap', '')),
      array('config.add', array('sop_sl7_img', '')),
      array('config.add', array('sop_sl7_url', '')),
      array('config.add', array('sop_sl7_cap', '')),
      array('config.add', array('sop_sl8_img', '')),
      array('config.add', array('sop_sl8_url', '')),
      array('config.add', array('sop_sl8_cap', '')),
    );
  }
}
